DCMTK: FGPlaneOrientationPatient Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
FGPlaneOrientationPatient Class Reference

Class representing the Plane Orientation (Patient) Functional Group Macro. More...

Inheritance diagram for FGPlaneOrientationPatient:

## Public Member Functions
| FGPlaneOrientationPatient ()
| Constructor, creates empty functional group.
virtual | ~FGPlaneOrientationPatient ()
| Destructor, frees memory.
virtual FGBase * | clone () const
| Returns a deep copy of this object.
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Get shared type of this functional group (can be both, shared and per-frame).
virtual void | clearData ()
| Clears all data.
virtual OFCondition | check () const
| Check whether this group contains valid data.
virtual OFCondition | read (DcmItem &item)
| Read functional group from item, must contain the Plane Orientation Sequence.
virtual OFCondition | write (DcmItem &item)
| Writes functional group to given item (will write Plane Orientation Sequence to it).
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
virtual OFCondition | getImageOrientationPatient (OFString &value, const signed long pos)
| Get Image Orientation Patient.
virtual OFCondition | getImageOrientationPatient (Float64 &rowX, Float64 &rowY, Float64 &rowZ, Float64 &colX, Float64 &colY, Float64 &colZ)
| Retrieve all values of Image Orientation Patient at the same time.
virtual OFCondition | setImageOrientationPatient (const OFString &rowX, const OFString &rowY, const OFString &rowZ, const OFString &colX, const OFString &colY, const OFString &colZ, const OFBool checkValue=OFTrue)
| Set all values of Image Orientation Patient at once.
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type.
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group.
virtual | ~FGBase ()
| Virtual destructor.

## Static Public Member Functions
static FGPlaneOrientationPatient * | createMinimal (const OFString &imageOrientationPatientRowX, const OFString &imageOrientationPatientRowY, const OFString &imageOrientationPatientRowZ, const OFString &imageOrientationPatientColX, const OFString &imageOrientationPatientColY, const OFString &imageOrientationPatientColZ)
| Convenience function to create a minimal functional group.

## Private Attributes
DcmDecimalString | m_ImageOrientationPatient
| Image Orientation (Patient) (DS, VM 6, Required type 1C).

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number.
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key.
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key.

## Detailed Description

Class representing the Plane Orientation (Patient) Functional Group Macro.

It specifies the direction cosines of the first row and the first column with respect to the patient.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGPlaneOrientationPatient::check | ( |  | ) | const
| virtual

Check whether this group contains valid data.

Returns
  EC_Normal if data is valid, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase * FGPlaneOrientationPatient::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

References FGBase::FGBase().

## ◆ compare()

virtual int FGPlaneOrientationPatient::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

References FGBase::FGBase().

## ◆ createMinimal()

FGPlaneOrientationPatient * FGPlaneOrientationPatient::createMinimal | ( | const OFString & | imageOrientationPatientRowX,
|  | const OFString & | imageOrientationPatientRowY,
|  | const OFString & | imageOrientationPatientRowZ,
|  | const OFString & | imageOrientationPatientColX,
|  | const OFString & | imageOrientationPatientColY,
|  | const OFString & | imageOrientationPatientColZ )
| static

Convenience function to create a minimal functional group.

Parameters

  imageOrientationPatientRowX | Row X Value
  imageOrientationPatientRowY | Row Y Value
  imageOrientationPatientRowZ | Row Z Value
  imageOrientationPatientColX | Column X Value
  imageOrientationPatientColY | Column Y Value
  imageOrientationPatientColZ | Column Z Value

Returns
  The functional group created with above parameters

References FGPlaneOrientationPatient().

## ◆ getImageOrientationPatient() [1/2]

virtual OFCondition FGPlaneOrientationPatient::getImageOrientationPatient | ( | Float64 & | rowX,
|  | Float64 & | rowY,
|  | Float64 & | rowZ,
|  | Float64 & | colX,
|  | Float64 & | colY,
|  | Float64 & | colZ )
| virtual

Retrieve all values of Image Orientation Patient at the same time.

Parameters

  rowX | Row X Value
  rowY | Row Y Value
  rowZ | Row Z Value
  colX | Column X Value
  colY | Column Y Value
  colZ | Column Z Value

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getImageOrientationPatient() [2/2]

virtual OFCondition FGPlaneOrientationPatient::getImageOrientationPatient | ( | OFString & | value,
|  | const signed long | pos )
| virtual

Get Image Orientation Patient.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

Referenced by FrameSorterIPP::getSliceDirection().

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGPlaneOrientationPatient::getSharedType | ( |  | ) | const
| inlinevirtual

Get shared type of this functional group (can be both, shared and per-frame).

Returns
  Always returns DcmFGTypes::EFGS_BOTH

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ read()

virtual OFCondition FGPlaneOrientationPatient::read | ( | DcmItem & | item | ) |
| virtual

Read functional group from item, must contain the Plane Orientation Sequence.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## ◆ setImageOrientationPatient()

virtual OFCondition FGPlaneOrientationPatient::setImageOrientationPatient | ( | const OFString & | rowX,
|  | const OFString & | rowY,
|  | const OFString & | rowZ,
|  | const OFString & | colX,
|  | const OFString & | colY,
|  | const OFString & | colZ,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set all values of Image Orientation Patient at once.

Parameters

  rowX | Row X Value
  rowY | Row Y Value
  rowZ | Row Z Value
  colX | Column X Value
  colY | Column Y Value
  colZ | Column Z Value
  checkValue | If OFTrue, values are checked for validity

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition FGPlaneOrientationPatient::write | ( | DcmItem & | item | ) |
| virtual

Writes functional group to given item (will write Plane Orientation Sequence to it).

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgplanor.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1